dependent-sum-template-0.2.0.2: Template Haskell code to generate instances of classes in some package

Safe Haskell | None
Language | Haskell2010

Data.GADT.Show.TH

# Documentation

class DeriveGShow t where Source #

Methods

deriveGShow :: t -> Q [Dec] Source #

#### Instances

Instances details

DeriveGShow Dec Source # |
Instance details Defined in Data.GADT.Show.TH Methods deriveGShow :: Dec -> Q [Dec] Source #
DeriveGShow Name Source # |
Instance details Defined in Data.GADT.Show.TH Methods deriveGShow :: Name -> Q [Dec] Source #
DeriveGShow t => DeriveGShow (Q t) Source # |
Instance details Defined in Data.GADT.Show.TH Methods deriveGShow :: Q t -> Q [Dec] Source #
DeriveGShow t => DeriveGShow [t] Source # |
Instance details Defined in Data.GADT.Show.TH Methods deriveGShow :: [t] -> Q [Dec] Source #